Skip to main content
System Global Type/License Operations

GetLicenseRecords

GetLicenseRecords

GET/zstack/v1/licenses/records

Operation ID

GetLicenseRecords

Since

4.1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • limit
    Integer

    Optional. The maximum number of records that cab be retrieved. Default: 20. This parameter is similar to the limit parameter in MySQL.

  • start
    Integer

    Optional. The position to start a query. You need to set this parameter if you specify thelimit parameter. This parameter is similar to the offset parameter in MySQL.

  • replyWithCount
    boolean

    Optional. Specifies whether to return the number of records. If you set the value to true, the number of records are returned.

  • count
    boolean

    Optional. Specifies whether to count the number of records that meet the specified conditions. This parameter is similar to the count() function. If you set the value to true, the number of records that meet the specified conditions is calculated and returned.

  • sortBy
    String

    Optional. Specifies to start records by a key, for example sortBy=ip. You need to specify the sortDirection parameter if you specify this parameter. This parameter is similar to the sort by parameter in MySQL.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • total
    LongRequired

    The total number of historic license authorizations. This parameter is returned if you set count or replyWithCount to true.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    LicenseInventoryRequired

    See inventory

    • uuid
      StringRequired

      The resource UUID.

    • licenseType
      StringRequired

      The license type.

    • expiredDate
      StringRequired

      The expired date.

    • issuedDate
      StringRequired

      The issued date.

    • uploadDate
      StringRequired

      The license update time.

    • user
      StringRequired

      The user.

    • prodInfo
      StringRequired

      The license product name.

    • hostNum
      IntegerRequired

      The number of host.

    • cpuNum
      IntegerRequired

      The number of CPUs.

    • vmNum
      IntegerRequired

      The number of VM instance.

    • expired
      booleanRequired

      The expired.

    • managementNodeUuid
      StringRequired

      The management node UUID.